Until now, the php-zts version available in the repositoties doesn't provide any extension. So was really unusable.

From now, version 5.3.1-0.6.RC4 provides all extensions for php, php-cli and php-zts and mysql extensions for zts use the mysqlnd driver. However, no php-pecl extension are available (we need a php-zts-devel).

Be careful, if an extension is available, this doesn't mean that it will work perfectly, because there is no warranty it's "thread-safe".

Few notes to configure apache in worker mode and use php-zts :

1. Installation

Packages are available for Fedora ≥ 10 and EL-5 in remi-test repository.

yum --enablerepo=remi-test \
--enablerepo=remi install php-zts


2. Apache settings

Stop the httpd service

Edit the  /etc/sysconfig/httpd file and uncomment:


Restart the service

The http://localhost/server-info page should report MPM Name: Worker

A phpinfo() page should report than MySQL extension use:
Client API version  mysqlnd 5.0.5-dev - 081106 - $Revision: 289630 $ 


3. MySQL settings

It seems that the mysqlnd driver didn't accept the old authentication protocol (used before mysql 4.1) which is set as default, for compatibility, in Fedora RPM..

So, you must edit the /etc/my.cnf file


Restart the MySQL server

And change all passwords to ensure the new strong encryption is used, for example:

$ mysql -p
mysql> UPDATE mysql.user SET Password = PASSWORD('topsecret') WHERE User = 'root';
mysql> flush privileges;
mysql> quit


4. PHP applications settings

There should have no change required (the small issue with previous version 0.5.RC4 and path to mysql.sock is fixed)

Well, now, it's your game ;)